Tool: get_access_policy
Gets the details, metadata, and rules of a Unified Access Policy. Only supports Unified Access Policies that are parented by a project.
Use this tool to inspect the policy rules and configuration of a specific Unified Access Policy.
This tool requires the name parameter, which is the resource name of the Unified Access Policy to retrieve. Only projects are supported. The format is projects/PROJECT_ID/locations/LOCATION/accessPolicies/POLICY_ID.
This tool returns the details and configuration of the specified Unified Access Policy, including its rules and etag.
The following code sample shows how to use curl to call the get_access_policy MCP tool.
| Curl Request |
|---|
curl --location 'https://iam.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_access_policy", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for GetAccessPolicy method.
GetAccessPolicyRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the Unified Access Policy to retrieve. Format: * |
Output Schema
An IAM Unified Access Policy resource.
AccessPolicy
| JSON representation |
|---|
{
"name": string,
"uid": string,
"etag": string,
"displayName": string,
"annotations": {
string: string,
...
},
"createTime": string,
"updateTime": string,
"details": {
object ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the Unified Access Policy. The following formats are supported:
|
uid |
Output only. The globally unique ID of the Unified Access Policy. |
etag |
Optional. The etag for the Unified Access Policy. If this is provided on update, it must match the server's etag. |
displayName |
Optional. The description of the Unified Access Policy. This description can be a maximum of 63 characters. |
annotations |
Optional. User-defined annotations. See https://google.aip.dev/148#annotations for more details such as format and size limitations. An object containing a list of |
createTime |
Output only. The time when the Unified Access Policy was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. The time when the Unified Access Policy was most recently updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
details |
Optional. The details for the Unified Access Policy. |
AnnotationsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
AccessPolicyDetails
| JSON representation |
|---|
{
"rules": [
{
object ( |
| Fields | |
|---|---|
rules[] |
Required. A list of Unified Access Policy rules. |
AccessPolicyRule
| JSON representation |
|---|
{ "principals": [ string ], "excludedPrincipals": [ string ], "operation": { object ( |
| Fields | |
|---|---|
principals[] |
Required. The principals to include in the rule. This field can contain the following values:
If an identifier that was previously used in a rule is soft deleted, then a
|
excludedPrincipals[] |
Optional. The principals to exclude from the rule, even if they are listed in the |
operation |
Required. Attributes that are used to determine whether this rule applies to a request. |
conditions |
Optional. The conditions that determine whether this rule applies to a request. Conditions are identified by their key, which is the FQDN of the service that they are relevant to. For example: Each rule is evaluated independently. If this rule does not apply to a request, other rules might still apply. The following keys are supported:
An object containing a list of |
Union field
|
|
description |
Optional. Customer-specified description of the rule. This description can be a maximum of 256 characters. |
Union field
|
|
effect |
Required. The effect of the rule. |
Operation
| JSON representation |
|---|
{ "permissions": [ string ], "excludedPermissions": [ string ] } |
| Fields | |
|---|---|
permissions[] |
Optional. The permissions to include in the rule. Rules with the The following formats are supported:
An empty list doesn't match any |
excludedPermissions[] |
Optional. Specifies the permissions to exclude from the rule. If a permission appears in The excluded permissions can be specified using the same syntax as |
ConditionsEntry
| JSON representation |
|---|
{
"key": string,
"value": {
object ( |
| Fields | |
|---|---|
key |
|
value |
|
Expr
| JSON representation |
|---|
{ "expression": string, "title": string, "description": string, "location": string } |
| Fields | |
|---|---|
expression |
Textual representation of an expression in Common Expression Language syntax. |
title |
Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. |
description |
Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. |
location |
Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file. |
Effect
An effect to describe how the rule affects access.
| Enums | |
|---|---|
EFFECT_UNSPECIFIED |
The effect is unspecified. |
DENY |
The rule will deny access if it evaluates to true. |
ALLOW |
The rule will grant access if it evaluates to true. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌